Description

Supportanfrage

Leider habe ich ein Problem beim Setup des Filter Guides unter: C:\Tools\ADTF_3_6_2\doc\guides\sdk_filter_mechanics.html

Beim Configure der CMakeLists.txt kommt ein Fehler dass anscheinend die filtersdk nicht gefunden wird. Setup in Bild 1 dargestellt.

 

Deshalb kennt er den nachfolgenden Befehl adtf_add_filter nicht.

Laut guide ist dies initial kein fehler, da der ADTF Pfad noch nicht bekannt ist. Gebe ich diesen jedoch an, kommt ein Fehler gemäß

Bild 2. Nachdem Configure ausgeführt wird, verschwindet der Pfad für ADTF_DIR auch wieder und wird durch eine Fehlermeldung

ausgetauscht.
Setup:

ADTF 3.6.2

Files im Anhang

Lösung

CMake Generator ist per default 32Bit -> x64 muss gesetzt und verwendet werden

Related issues:

Related to Public Support - Support Request #10213: Cmake failed using Genera... Closed

History

#1 - 2020-01-29 13:31 - hidden

- Project changed from Public Support to 11

- Description updated

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::Common

- Affected Products ADTF 3.6.2 added

Hallo Martin,

ich denke du hast den falschen CMake Generator ausgewählt, du musst noch x64 auswhählen, ansonsten sucht er (zurecht) nach einer 32Bit ADTF

Installation

#2 - 2020-01-30 10:45 - hidden

Besten Dank. Hat Funktioniert.

Ein Hinweis noch fuer den guide.

Wenn man die Session des helloWorld filters startet, muss das im Debug modus erfolgen. Ansonsten erhält man keine Ausgabe über den Befehl

LOG_INFO.

#3 - 2020-01-30 14:03 - hidden

- Subject changed from CMake Error BeispielGuide "MyFirstFilter" to CMake Error in Guides (MyFirstFilter)

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue
Wenn man die Session des helloWorld filters startet, muss das im Debug modus erfolgen. Ansonsten erhält man keine Ausgabe über den Befehl

LOG_INFO.

 Danke für den Hinweis, wird aber mit der 3.7 obsolet.

Grund dafür ist, dass das Loglevel des Standardlauncher adtf auf Warning begrenzt wurde, um die Console übersichtlicher zu gestalten und Abstürze

besser zu identifizieren.

Da mit 3.7 ein farbiges Logging kommt, haben wir das wieder rausgenommen.

Kannst du auch machen, einfach unter <ADTF_DIR>/settings/adtf_control.adtfsettings --log-level-stdout warning entfernen beim adtf Launcher

(=Release) entfernen (analog zum adtf_debug Launcher).

#4 - 2020-02-06 18:35 - hidden

- Related to Support Request #10213: Cmake failed using Generator for VS2017 added

#7 - 2020-07-07 13:49 - hidden

- Project changed from 11 to Public Support

- Private changed from Yes to No

#8 - 2020-07-07 16:40 - hidden

- Status changed from To Be Closed to Closed

#9 - 2021-01-13 20:42 - hidden

- Customer set to AUDI
